Summary: Additional sounds for Asterisk: the Open Source Linux PBX.
Name: asterisk-sounds12
Version: 1.2.1
Release: 10%{?dist}
License: GPL
Group: Applications/Internet
URL: http://www.asterisk.org/
Source0: http://downloads.asterisk.org/pub/telephony/asterisk/old-releases/asterisk-sounds-%{version}.tar.gz
Patch0: asterisk-sounds-1.0.7-dir.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: asterisk12
BuildArch: noarch
Requires: asterisk12
Obsoletes: asterisk-sounds <= %{evr}

%description
Asterisk is a complete PBX in software. It runs on Linux and provides
all of the features you would expect from a PBX and more. Asterisk
does voice over IP in three protocols, and can interoperate with
almost all standards-based telephony equipment using relatively
inexpensive hardware.
This package contains additional sounds for asterisk.

%prep
%setup -q -n asterisk-sounds-%{version}

%build
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
rm -f %{buildroot}%{_localstatedir}/lib/asterisk/sounds/invalid.gsm
mkdir -p %{buildroot}%{_datadir}/asterisk/
mv %{buildroot}%{_localstatedir}/lib/asterisk/sounds %{buildroot}%{_datadir}/asterisk/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README.txt sounds-extra.txt
%{_datadir}/asterisk/sounds

%changelog
* Sat Aug 22 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.2.1-10
- Make sound files owned by root.

* Wed Aug 19 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.2.1-9
- Update download URL.
- Rename to asterisk-sounds12.
- Make aware of asterisk12 naming.

* Mon Dec 12 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.1.

* Mon Nov 21 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.0.

* Sat Jul 16 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.9.

* Mon Jun 27 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.8.

* Mon Mar 07 2005 Mark Wormgoor <mark@wormgoor.com>
- Initial version
